Update Resident: Rentvine
Note: If you'd like to update the resident's address, phone number, or email address, this will require additional configuration to read in required metadata. If you'd like to update these fields, please contact support.
| Interface | Method |
|---|---|
| | |
| Tenants | POST /api/manager/tenants/{contactID}/addresses/{contactAddressID} |
| Contacts | POST /api/manager/contacts/{contactID}/addresses |
| Tenants | POST /api/manager/tenants/{contactID}/phones/{contactPhoneID} |
| Contacts | POST /api/manager/contacts/{contactID}/phones |
| Tenants | POST /api/manager/tenants/{contactID}/emails/{emailID} |
| Contacts | POST /api/manager/contacts/{contactID}/emails |
| Tenants | POST /api/manager/leases/{leaseID}/tenants/{tenantID} |
| Tenants | POST /api/manager/tenants/{contactID} |
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
resident_id
The ID of the resource.
Request
This endpoint expects an object.
first_name
The first name associated with the resident
middle_name
The middle name associated with the resident
last_name
The last name associated with the resident
email_1
The primary email address associated with the resident
date_of_birth
The date of birth associated with the resident
address_1
The first address line associated with the resident
address_2
The second address line associated with the resident
city
The city associated with the resident
state
The state associated with the resident
zip
The zip code associated with the resident
country
The country associated with the resident
Allowed values:
phone_1
Primary phone number associated with the resident
phone_1_type
Type of the primary phone number
Allowed values:
is_primary
Whether the resident is the primary record
Response
Successful response
meta
result

